%define name labplot
%define rname LabPlot
%define version 1.5.1
%define subrel 1
%define release %mkrel 1

%define major 1
%define libname %mklibname %name %major
%define libnamedev %mklibname %name %major -d

Summary:	LabPlot is a plotting and data analysis application
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://labplot.sourceforge.net/index.html
Source0:	http://mitarbeiter.mbi-berlin.de/gerlach/Linux/LabPlot/%{rname}-%{version}.tar.bz2
Source1:	http://labplot.sourceforge.net/LabPlot-Handbook-1.5.1-en.tar.bz2
Source2:	http://labplot.sourceforge.net/LabPlot-Handbook-1.5.1-de.tar.bz2
Source3:	http://labplot.sourceforge.net/LabPlot-Handbook-1.5.0-fr.tar.bz2
Source4:	http://labplot.sourceforge.net/LabPlot-Handbook-1.5.0-br.tar.bz2
Source5:	http://labplot.sourceforge.net/LabPlot-Handbook-1.5.0-sv.tar.bz2
Source10:	%{rname}-16.png
Source11:	%{rname}-32.png
Source12:	%{rname}-48.png
License:	GPL
Group:		Sciences/Mathematics
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libart_lgpl-devel
BuildRequires:	libarts-devel
BuildRequires:	kdelibs-common
BuildRequires:	kdelibs-devel
Requires:	fftw >= 3.0.0 labplot-doc

%description
KDE Application for plotting and analysis of 2D and /3D functions and data.

%package -n %libname
Summary:        LabPlot is a plotting and data analysis application
Group:          Sciences/Mathematics

%description -n %libname
KDE Application for plotting and analysis of 2D and /3D functions and data.

%package -n %libnamedev
Summary:        LabPlot is a plotting and data analysis application
Group:          Development/Other
Requires:	%libname = %version
Provides:	liblabplot-devel

%description -n %libnamedev
KDE Application for plotting and analysis of 2D and /3D functions and data.

%package -n %name-doc-br
Summary:        LabPlot brazilian documentation
Group:          Books/Computer books
Provides:       labplot-doc
Requires:       locales-br

%description -n %name-doc-br
LabPlot brazilian documentation.

%package -n %name-doc-en
Summary: 	LabPlot english documentation 
Group:		Books/Computer books
Provides: 	labplot-doc
Requires:	locales-en

%description -n %name-doc-en
LabPlot english documentation.

%package -n %name-doc-de
Summary:        LabPlot german documentation
Group:          Books/Computer books
Provides:       labplot-doc
Requires:	locales-de

%description -n %name-doc-de
LabPlot german documentation.
 
%package -n %name-doc-fr
Summary:        LabPlot french documentation
Group:          Books/Computer books
Provides:       labplot-doc
Requires:	locales-fr

%description -n %name-doc-fr
LabPlot french documentation.

%package -n %name-doc-it
Summary:        LabPlot italin documentation
Group:          Books/Computer books
Provides:       labplot-doc
Requires:       locales-it

%description -n %name-doc-it
LabPlot italian documentation.

%package -n %name-doc-nl
Summary:        LabPlot dutch documentation
Group:          Books/Computer books
Provides:       labplot-doc
Requires:       locales-nl

%description -n %name-doc-nl
LabPlot dutch documentation.

%package -n %name-doc-pl
Summary:        LabPlot polish documentation
Group:          Books/Computer books
Provides:       labplot-doc
Requires:       locales-pl

%description -n %name-doc-pl
LabPlot polish documentation.

%package -n %name-doc-sv
Summary:        LabPlot swedish documentation
Group:          Books/Computer books
Provides:       labplot-doc
Requires:       locales-sv

%description -n %name-doc-sv
LabPlot swedish documentation.


%prep
%setup -q -n %{rname}-%{version} -b 1 -b 2 -b 3 -b 4 -b 5

%build

./configure --prefix=%_prefix \
            --libdir=%_libdir \
            --with-qt-libraries=%_prefix/lib/qt3/%_lib

make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

%find_lang %{rname}

mkdir -p $RPM_BUILD_ROOT{%{_menudir},%{_miconsdir},%{_iconsdir},%{_liconsdir}}

# remove links
rm -rf $RPM_BUILD_ROOT/%_docdir/HTML/en/LabPlot
rm -rf $RPM_BUILD_ROOT/%_docdir/HTML/de/LabPlot
rm -rf $RPM_BUILD_ROOT/%_docdir/HTML/fr/LabPlot
rm -rf $RPM_BUILD_ROOT/%_docdir/HTML/br/LabPlot
rm -rf $RPM_BUILD_ROOT/%_docdir/HTML/sv/LabPlot
rm -rf $RPM_BUILD_ROOT/%_docdir/HTML/it/LabPlot
rm -rf $RPM_BUILD_ROOT/%_docdir/HTML/nl/LabPlot
rm -rf $RPM_BUILD_ROOT/%_docdir/HTML/pl/LabPlot
rm -rf $RPM_BUILD_ROOT/%_docdir/HTML/en/labplot
rm -rf $RPM_BUILD_ROOT/%_docdir/HTML/de/labplot
rm -rf $RPM_BUILD_ROOT/%_docdir/HTML/fr/labplot
rm -rf $RPM_BUILD_ROOT/%_docdir/HTML/br/labplot
rm -rf $RPM_BUILD_ROOT/%_docdir/HTML/sv/labplot
rm -rf $RPM_BUILD_ROOT/%_docdir/HTML/it/labplot
rm -rf $RPM_BUILD_ROOT/%_docdir/HTML/nl/labplot
rm -rf $RPM_BUILD_ROOT/%_docdir/HTML/pl/labplot

# create real directories
mkdir -p $RPM_BUILD_ROOT/%_docdir/HTML/de/LabPlot
mkdir -p $RPM_BUILD_ROOT/%_docdir/HTML/en/LabPlot
mkdir -p $RPM_BUILD_ROOT/%_docdir/HTML/fr/LabPlot
mkdir -p $RPM_BUILD_ROOT/%_docdir/HTML/br/LabPlot
mkdir -p $RPM_BUILD_ROOT/%_docdir/HTML/sv/LabPlot
mkdir -p $RPM_BUILD_ROOT/%_docdir/HTML/it/LabPlot
mkdir -p $RPM_BUILD_ROOT/%_docdir/HTML/nl/LabPlot
mkdir -p $RPM_BUILD_ROOT/%_docdir/HTML/pl/LabPlot

# copy doc
cp -r ../LabPlot-Handbook-1.5.1-de/* $RPM_BUILD_ROOT/%_docdir/HTML/de/LabPlot/
cp -r ../LabPlot-Handbook-1.5.1-en/* $RPM_BUILD_ROOT/%_docdir/HTML/en/LabPlot/
cp -r ../LabPlot-Handbook-1.5.0-fr/* $RPM_BUILD_ROOT/%_docdir/HTML/fr/LabPlot/
cp -r ../LabPlot-Handbook-1.5.0-br/* $RPM_BUILD_ROOT/%_docdir/HTML/br/LabPlot/
cp -r ../LabPlot-Handbook-1.5.0-sv/* $RPM_BUILD_ROOT/%_docdir/HTML/sv/LabPlot/


cat > $RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%{_bindir}/LabPlot"\
title="Labplot"\
longtitle="Plotting and data analysis application"\
needs="x11"\
icon="%{rname}.png"\
section="More Applications/Sciences/Mathematics"\
xdg="true"
EOF

desktop-file-install --vendor="" \
	--remove-category="Education" \
	--add-category="X-MandrivaLinux-MoreApplications-Sciences-Mathematics" \
	--add-category="Science" \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications \
	$RPM_BUILD_ROOT%{_datadir}/applications/kde/LabPlot.desktop
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/kde/LabPlot.desktop

cp %SOURCE10 $RPM_BUILD_ROOT%{_miconsdir}/%{rname}.png
cp %SOURCE11 $RPM_BUILD_ROOT%{_iconsdir}/%{rname}.png
cp %SOURCE12 $RPM_BUILD_ROOT%{_liconsdir}/%{rname}.png



%post
%update_menus

%postun 
%clean_menus

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{rname}.lang
%defattr(-,root,root)
%doc AUTHORS CHANGES COPYING FEATURES INSTALL README TODO
%{_bindir}/*
%{_datadir}/mimelnk/application/x-lpl.desktop
%{_datadir}/apps/%{rname}
%{_datadir}/applications/LabPlot.desktop
%{_iconsdir}/*/*/*/*.png

%_menudir/*
%_miconsdir/%rname.png
%_iconsdir/%rname.png
%_liconsdir/%rname.png

%_mandir/man1/*

%files -n %libname
%defattr(-,root,root)
%_libdir/*.so.*

%files -n %libnamedev
%defattr(-,root,root)
%_libdir/*.so
%_libdir/*.a
%_libdir/*.la

%files -n %name-doc-br
%defattr(-,root,root)
%_docdir/HTML/br/LabPlot/

%files -n %name-doc-en
%defattr(-,root,root)
%_docdir/HTML/en/LabPlot/

%files -n %name-doc-de
%defattr(-,root,root)
%_docdir/HTML/de/LabPlot/

%files -n %name-doc-fr
%defattr(-,root,root)
%_docdir/HTML/fr/LabPlot/

%files -n %name-doc-it
%defattr(-,root,root)
%_docdir/HTML/it/LabPlot/

%files -n %name-doc-nl
%defattr(-,root,root)
%_docdir/HTML/nl/LabPlot/

%files -n %name-doc-pl
%defattr(-,root,root)
%_docdir/HTML/pl/LabPlot/

%files -n %name-doc-sv
%defattr(-,root,root)
%_docdir/HTML/sv/LabPlot/



%changelog
* Tue Jul 31 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1.5.1-1.1mdv2007.1
+ Revision: 57126
- Migrated menu to xdg.
- Rebuild for 2007.1 (#26901).
- Import labplot into 2007.1 updates branch.
- Created package structure for labplot.



* Wed Apr 05 2006 Lenny Cartier <lenny@mandrakesoft.com> 1.5.1-1mdk
- 1.5.1
- update and add manuals

* Fri Apr 08 2005 Lenny Cartier <lenny@mandrakesoft.com> 1.4.1-2mdk
- add manual

* Fri Apr 08 2005 Lenny Cartier <lenny@mandrakesoft.com> 1.4.1-1mdk
- 1.4.1

* Fri Mar 25 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.4.0-2mdk
- Rebuild

* Wed Jan 26 2005 Lenny Cartier <lenny@mandrakesoft.com> 1.4.0-1mdk
- 1.4.0

* Mon Aug 30 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.3.1-1mdk
- 1.3.1

* Thu Jul 01 2004 Michael Scherer <misc@mandrake.org> 1.2.3-2mdk 
- rebuild for new ImageMagick

* Tue Feb 17 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.2.3-1mdk
- 1.2.3
- menu

* Tue Oct 28 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.2.1-1mdk
- 1.2.1
- set %%_libdir in configure
- Labplot icons

* Wed Sep 10 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.2.0-1mdk
- 1.2.0

* Tue Aug 05 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.1.1-1mdk
- add menu entry
- from David Walser <luigiwalser@yahoo.com> :
	- first package
